Qt 5.11 | Qt Core | C++ Classes | Connection

Qt 5.11.3 Reference Documentation

# Connection Class

(QMetaObject::Connection)

Header: | #include <Connection>
qmake: | QT += core

- List of all members, including inherited members

## Public Functions

| Connection()
| Connection(const Connection &other)
| Connection(Connection &&o)
| ~Connection()
bool | operator bool() const
Connection & | operator=(const Connection &other)
Connection & | operator=(Connection &&other)

## Detailed Description

Represents a handle to a signal-slot connection. It can be used to disconnect that connection, or check if the connection was successful

See also QObject::disconnect().

## Member Function Documentation

### Connection::Connection()

Creates a Connection instance.

### Connection::Connection(const Connection &other)

Create a copy of the handle to the other connection

### Connection::Connection(Connection &&o)

Move-constructs a Connection instance, making it point to the same object that o was pointing to.

### Connection::~Connection()

Destructor for QMetaObject::Connection.

### bool Connection::operator bool() const

Returns `true` if the connection is valid.

The connection is valid if the call to QObject::connect succeeded. The connection is invalid if QObject::connect was not able to find the signal or the slot, or if the arguments do not match.

### Connection &Connection::operator=(const Connection &other)

Assigns other to this connection and returns a reference to this connection.

### Connection &Connection::operator=(Connection &&other)

Move-assigns other to this object, and returns a reference.